Package org.apache.sling.feature.io.json

# Class FeatureJSONWriter

java.lang.Object
org.apache.sling.feature.io.json.FeatureJSONWriter

public class FeatureJSONWriter extends Object
This class offers a static method to write a feature using a writer.

## Constructor Summary

Constructors
Constructor
Description
`FeatureJSONWriter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`write(Writer writer, Feature feature)`
Writes the feature to the writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FeatureJSONWriter

public FeatureJSONWriter()

## Method Details

### write

public static void write(Writer writer, Feature feature) throws IOException
Writes the feature to the writer. The writer is not closed.

Parameters:
  `writer` - Writer
  `feature` - Feature
Throws:
  `IOException` - If writing fails